yyFlexLexer Class Reference
Inheritance diagram for yyFlexLexer:
[legend]
Collaboration diagram for yyFlexLexer:
[legend]

## Public Member Functions

| yyFlexLexer (FLEX_STD istream *arg_yyin=0, FLEX_STD ostream *arg_yyout=0)
void | yy_switch_to_buffer (struct yy_buffer_state *new_buffer)
struct yy_buffer_state * | yy_create_buffer (FLEX_STD istream *s, int size)
void | yy_delete_buffer (struct yy_buffer_state *b)
void | yyrestart (FLEX_STD istream *s)
void | yypush_buffer_state (struct yy_buffer_state *new_buffer)
void | yypop_buffer_state ()
virtual int | yylex ()
virtual void | switch_streams (FLEX_STD istream *new_in, FLEX_STD ostream *new_out=0)
virtual int | yywrap ()
Public Member Functions inherited from FlexLexer
const char * | YYText () const
int | YYLeng () const
int | yylex (FLEX_STD istream *new_in, FLEX_STD ostream *new_out=0)
int | lineno () const
int | debug () const
void | set_debug (int flag)

## Protected Member Functions

virtual size_t | LexerInput (char *buf, size_t max_size)
virtual void | LexerOutput (const char *buf, size_t size)
virtual void | LexerError (const char *msg)
void | yyunput (int c, char *buf_ptr)
int | yyinput ()
void | yy_load_buffer_state ()
void | yy_init_buffer (struct yy_buffer_state *b, FLEX_STD istream *s)
void | yy_flush_buffer (struct yy_buffer_state *b)
void | yy_push_state (int new_state)
void | yy_pop_state ()
int | yy_top_state ()
yy_state_type | yy_get_previous_state ()
yy_state_type | yy_try_NUL_trans (yy_state_type current_state)
int | yy_get_next_buffer ()
void | yyensure_buffer_stack (void)

## Protected Attributes

int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
FLEX_STD istream * | yyin
FLEX_STD ostream * | yyout
char | yy_hold_char
int | yy_n_chars
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
size_t | yy_buffer_stack_top
size_t | yy_buffer_stack_max
struct yy_buffer_state ** | yy_buffer_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
yy_state_type * | yy_state_buf
yy_state_type * | yy_state_ptr
char * | yy_full_match
int * | yy_full_state
int | yy_full_lp
int | yy_lp
int | yy_looking_for_trail_begin
int | yy_more_flag
int | yy_more_len
int | yy_more_offset
int | yy_prev_more_offset
Protected Attributes inherited from FlexLexer
char * | yytext
int | yyleng
int | yylineno
int | yy_flex_debug

## Member Function Documentation

YY_BUFFER_STATE yyFlexLexer::yy_create_buffer | ( | FLEX_STD istream * | s,
|  | int | size
| ) |  |

virtual

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

Implements FlexLexer.

void yyFlexLexer::yy_delete_buffer | ( | struct yy_buffer_state * | b | ) |

virtual

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

Implements FlexLexer.

void yyFlexLexer::yy_flush_buffer | ( | struct yy_buffer_state * | b | ) |

protected

Discard all buffered characters. On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

void yyFlexLexer::yy_switch_to_buffer | ( | struct yy_buffer_state * | new_buffer | ) |

virtual

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

Implements FlexLexer.

void yyFlexLexer::yypop_buffer_state | ( | void |  | ) |

Removes and deletes the top of the stack, if present. The next element becomes the new top.

void yyFlexLexer::yypush_buffer_state | ( | struct yy_buffer_state * | new_buffer | ) |

Pushes the new state onto the stack. The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

void yyFlexLexer::yyrestart | ( | FLEX_STD istream * | s | ) |

virtual

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

Implements FlexLexer.

## Member Data Documentation

struct yy_buffer_state** yyFlexLexer::yy_buffer_stack

protected

Stack as an array.

size_t yyFlexLexer::yy_buffer_stack_max

protected

capacity of stack.

size_t yyFlexLexer::yy_buffer_stack_top

protected

index of top of stack.

The documentation for this class was generated from the following files:

- FlexLexer.h
- elftosb_lexer.cpp